VERSION 5.00
Object = "{02B5E320-7292-11CF-93D5-0020AF99504A}#1.0#0"; "MSCHART.OCX"
Begin VB.Form frmPlot 
   Caption         =   "Series Statistics"
   ClientHeight    =   5850
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8805
   LinkTopic       =   "Form1"
   ScaleHeight     =   5850
   ScaleWidth      =   8805
   StartUpPosition =   3  'Windows Default
   Begin MSChartLib.MSChart chtPlot 
      Height          =   5355
      Left            =   120
      OleObjectBlob   =   "Ex4.frx":0000
      TabIndex        =   1
      Top             =   60
      Width           =   8655
   End
   Begin VB.CommandButton btnPlotIt 
      Caption         =   "Plot It"
      Height          =   375
      Left            =   7440
      TabIndex        =   0
      Top             =   5460
      Width           =   1335
   End
End
Attribute VB_Name = "frmPlot"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub btnPlotIt_Click()
    ' Create a line chart
    Dim vrnData(0 To 100, 1 To 2) As Variant, I As Integer
    
    ' Create the data
    vrnData(0, 1) = "Random Data"               ' Data Set Label
    For I = 1 To 100
        vrnData(I, 1) = I * 100                 ' Generate data
        vrnData(I, 2) = Rnd * 5000#
    Next I
    
    ' Set up the chart
    With chtPlot
        .chartType = VtChChartType2dXY          ' Set the chart type
        
        .TitleText = "Series Statistics"        ' Set the chart titles
        .Title.VtFont.Size = 16
        .FootnoteText = "* Regression line and Standard Deviation are shown"
        .Footnote.Location.LocationType = VtChLocationTypeBottomLeft
        .Plot.Axis(VtChAxisIdX).AxisTitle = "X Data"
        .Plot.Axis(VtChAxisIdY).AxisTitle = "Y Data"
                                                ' Set up statistics lines
        With .Plot.SeriesCollection.Item(1).StatLine
            .Flag = VtChStatsRegression Or VtChStatsStddev
            .Style(VtChStatsStddev) = VtPenStyleDashed
        End With

        .ShowLegend = True
        .ChartData = vrnData                    ' Assign data to chart
    End With
End Sub
