VERSION 5.00
Object = "{02B5E320-7292-11CF-93D5-0020AF99504A}#1.0#0"; "MSCHART.OCX"
Begin VB.Form frmMain 
   Caption         =   "DataCapture"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin MSChartLib.MSChart chtData 
      Height          =   2055
      Left            =   120
      OleObjectBlob   =   "Ex1.frx":0000
      TabIndex        =   5
      Top             =   1080
      Width           =   4455
   End
   Begin VB.Timer tmrDataTimer 
      Enabled         =   0   'False
      Interval        =   2000
      Left            =   4080
      Top             =   120
   End
   Begin VB.CommandButton btnStart 
      Caption         =   "Start"
      Height          =   855
      Left            =   2880
      TabIndex        =   2
      Top             =   120
      Width           =   975
   End
   Begin VB.TextBox txtCutOffFilter 
      Height          =   375
      Left            =   1200
      TabIndex        =   1
      Top             =   600
      Width           =   1575
   End
   Begin VB.TextBox txtDataBuffer 
      Height          =   375
      Left            =   1200
      TabIndex        =   0
      Top             =   120
      Width           =   1575
   End
   Begin VB.Label lblCutOffFilter 
      Caption         =   "Cut Off Filter:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   720
      Width           =   975
   End
   Begin VB.Label lblDataBuffer 
      Caption         =   "Data:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   240
      Width           =   975
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub btnStart_Click()
    If tmrDataTimer.Enabled = False Then    ' If the Timer is disabled
        tmrDataTimer.Enabled = True         ' Enable it
        btnStart.Caption = "Stop"           ' Set the caption
    Else
        tmrDataTimer.Enabled = False        ' Otherwise disable it
        btnStart.Caption = "Start"          ' Set the caption
    End If
End Sub

Private Sub tmrDataTimer_Timer()
    Dim dblDataTmp As Double, dblCutOff As Double
    
    If IsNumeric(txtCutOffFilter.Text) Then     ' Get the cut off value
        dblCutOff = CDbl(txtCutOffFilter.Text)
    End If
    
    dblDataTmp = Rnd                            ' Generate a data point
    
    If dblDataTmp > dblCutOff Then              ' Filter the data
        txtDataBuffer.Text = dblDataTmp         ' Put the data in the buffer
    End If
    
End Sub

Private Sub txtDataBuffer_Change()
    Dim dblDataTmp As Double
    Static intNextRow As Integer
    
    intNextRow = intNextRow + 1         ' Determine the next row
    If intNextRow > chtData.RowCount Then intNextRow = 1
                                        ' Get the new data value and add it to the chart
    If IsNumeric(txtDataBuffer.Text) Then dblDataTmp = CDbl(txtDataBuffer.Text)
    chtData.DataGrid.SetData intNextRow, 1, dblDataTmp, 0
    
End Sub
