VERSION 5.00
Object = "{5E9E78A0-531B-11CF-91F6-C2863C385E30}#1.0#0"; "msflxgrd.ocx"
Begin VB.Form frmTable 
   Caption         =   "Communication Options"
   ClientHeight    =   3225
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3450
   LinkTopic       =   "Form1"
   ScaleHeight     =   3225
   ScaleWidth      =   3450
   StartUpPosition =   3  'Windows Default
   Begin MSFlexGridLib.MSFlexGrid grdTable 
      Height          =   3100
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   3325
      _ExtentX        =   5874
      _ExtentY        =   5477
      _Version        =   65541
      Rows            =   4
      Cols            =   4
      AllowUserResizing=   3
   End
End
Attribute VB_Name = "frmTable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private mStrAppPath As String           ' Path of application

Private Sub Form_Load()
    ' Initialize the table
    Dim I As Integer
    
    mStrAppPath = App.Path & "\"        ' Save the initial application path
    
    With grdTable                       ' Format the grid
        .FixedRows = 0                  ' Fixed rows and columns
        .FixedCols = 1
        .Rows = 5                       ' Rows and columns
        .Cols = 4
        .WordWrap = True                ' Wrap text
        .RowHeight(-1) = 600            ' Set row and column sizes
        .ColWidth(0) = 1000
        .ColWidth(1) = 600
        .ColWidth(2) = 600
        .ColWidth(3) = 1000
        
        .Col = 0                        ' Set column 0 labels and formats
        .Row = 0
        .CellFontBold = True
        .Text = "Serial Port"
        .Row = 1
        .CellFontBold = True
        .Text = "Parallel Port"
        .Row = 2
        .CellFontBold = True
        .Text = "Network"
        .Row = 3
        .CellFontBold = True
        .Text = "Wireless"
        .Row = 4
        .CellFontBold = True
        .Text = "File"
                
        .Col = 1                        ' Set column 1 pictures
        .Row = 0
        Set .CellPicture = LoadPicture(mStrAppPath & "Phone01.ico")
        .Row = 1
        Set .CellPicture = LoadPicture(mStrAppPath & "Net06.ico")
        .Row = 2
        Set .CellPicture = LoadPicture(mStrAppPath & "Net01.ico")
        .Row = 3
        Set .CellPicture = LoadPicture(mStrAppPath & "Phone14.ico")
        .Row = 4
        Set .CellPicture = LoadPicture(mStrAppPath & "Disk04.ico")
        
        .Col = 2                        ' Initialize the selection display
        For I = 0 To 4
            .Row = I
            Set .CellPicture = LoadPicture(mStrAppPath & "Misc13.ico")
            .TextMatrix(I, 3) = "Inactive"
        Next I
            
    End With
End Sub

Private Sub grdTable_Click()
    ' Toggle selection
    Dim intRow As Integer
    
    With grdTable
        If .Col <> 2 Then Exit Sub          ' Only react to mouse clicks on column 2
        intRow = .Row                       ' Save the row
                                            ' If option is on - turn it off
        If .TextMatrix(intRow, 3) = "Active" Then
            Set .CellPicture = LoadPicture(mStrAppPath & "Misc13.ico")
            .Col = 3                        ' Change column 3 text
            .CellForeColor = vbBlack        ' Change text color
            .CellFontBold = False           ' Turn bold off
            .Text = "Inactive"              ' Set text
            .Col = 2
        Else                                ' If option is off - turn it on
            Set .CellPicture = LoadPicture(mStrAppPath & "Misc15.ico")
            .Col = 3                        ' Change column 3 text
            .CellForeColor = vbRed          ' Change text color
            .CellFontBold = True            ' Turn bold on
            .Text = "Active"                ' Set text
            .Col = 2
        End If
    
    End With
    
End Sub

