VERSION 5.00
Begin VB.Form frmThermometer 
   Caption         =   "Thermometer"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3090
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   3090
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtThreshold 
      Height          =   315
      Left            =   1680
      TabIndex        =   4
      Top             =   1080
      Width           =   1275
   End
   Begin VB.CommandButton btnThreshold 
      Caption         =   "Threshold"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1680
      TabIndex        =   3
      Top             =   1440
      Width           =   1275
   End
   Begin VB.CommandButton btnTemperature 
      Caption         =   "Temperature"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1680
      TabIndex        =   2
      Top             =   540
      Width           =   1275
   End
   Begin VB.PictureBox pctCanvas 
      Height          =   2775
      Left            =   120
      ScaleHeight     =   2715
      ScaleWidth      =   1335
      TabIndex        =   1
      Top             =   180
      Width           =   1395
   End
   Begin VB.TextBox txtTemperature 
      Height          =   315
      Left            =   1680
      TabIndex        =   0
      Top             =   180
      Width           =   1275
   End
End
Attribute VB_Name = "frmThermometer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private WithEvents mThermometer As Thermometer      ' Create Thermometer object
Attribute mThermometer.VB_VarHelpID = -1

Private Sub Form_Load()
    ' Create and initilize the Thermometer class
    Set mThermometer = New Thermometer
    Set mThermometer.PictureBox = pctCanvas
End Sub

Private Sub btnTemperature_Click()
    ' Reset the Temperature.
    If IsNumeric(txtTemperature.Text) Then mThermometer.Temperature = CSng(txtTemperature.Text)
End Sub

Private Sub btnThreshold_Click()
    ' Reset the Threshold.
    If IsNumeric(txtThreshold.Text) Then mThermometer.Threshold = CSng(txtThreshold.Text)
End Sub

Private Sub mThermometer_Change(ByVal sngTemperature As Single)
    ' Update the TextBox value
    txtTemperature.Text = Format(sngTemperature, "0.0")
End Sub

Private Sub mThermometer_OverThreshold(ByVal sngTemperature As Single)
    ' Turn the form background red when the threshold is exceeded
    frmThermometer.BackColor = vbRed
    Beep
End Sub

Private Sub mThermometer_UnderThreshold(ByVal sngTemperature As Single)
    ' Restore the form color when under threshold
    frmThermometer.BackColor = vbButtonFace
End Sub
